Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.io
Interface ConnectionFactory

public interface ConnectionFactory

A Connection Factory service is called by the implementation of the Connector Service to create `javax.microedition.io.Connection` objects which implement the scheme named by `IO_SCHEME`. When a `ConnectorService.open` method is called, the implementation of the Connector Service will examine the specified name for a scheme. The Connector Service will then look for a Connection Factory service which is registered with the service property `IO_SCHEME` which matches the scheme. The `createConnection(java.lang.String, int, boolean)` method of the selected Connection Factory will then be called to create the actual `Connection` object.

Field Summary
`static java.lang.String` | `IO_SCHEME` Service property containing the scheme(s) for which this Connection Factory can create `Connection` objects.

Method Summary
`javax.microedition.io.Connection` | `createConnection(java.lang.String name, int mode, boolean timeouts)` Create a new `Connection` object for the specified URI.

Field Detail

### IO_SCHEME

    public static final java.lang.String IO_SCHEME

  Service property containing the scheme(s) for which this Connection Factory can create `Connection` objects. This property is of type `String[]`.

Method Detail

### createConnection

    public javax.microedition.io.Connection createConnection(java.lang.String name,
                                                             int mode,
                                                             boolean timeouts)
                                                      throws java.io.IOException

  Create a new `Connection` object for the specified URI.
  Parameters:
    `name` - The full URI passed to the `ConnectorService.open` method
    `mode` - The mode parameter passed to the `ConnectorService.open` method
    `timeouts` - The timeouts parameter passed to the `ConnectorService.open` method
  Returns:
    A new `javax.microedition.io.Connection` object.
  Throws:
    `java.io.IOException` - If a `javax.microedition.io.Connection` object can not not be created.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.